
/*
 * @file
 * Adds basic drop-down menu functionality to IE6.
 *
 * @see http://www.alistapart.com/articles/dropdowns
 * @see http://ajaxian.com/archives/detecting-ie7-in-javascript
 */

menuOver=function(navRoot) {
	for (i=0; i<navRoot.childNodes.length; i++) {
		node = navRoot.childNodes[i];
		if (node.nodeName=="LI") {
			node.onmouseover=function() {
				//this.className+=" over";
				for (j=0; j<this.childNodes.length; j++) {
					childnode = this.childNodes[j];
					if (childnode.nodeName=="A") {
						childnode.className+=" over";
					}
					if (childnode.nodeName=="UL") {
						childnode.className+=" show";
					}
				}
			}
			node.onmouseout=function() {
				//this.className=this.className.replace(" over", "");
				for (j=0; j<this.childNodes.length; j++) {
					childnode = this.childNodes[j];
					if (childnode.nodeName=="A") {
						childnode.className=childnode.className.replace(" over", "");
					}
					if (childnode.nodeName=="UL") {
						childnode.className=childnode.className.replace(" show", "");
					}
				}
			}
		}
	}
}
startList=function() {
	if (document.getElementById && typeof document.body.style.maxHeight == "undefined") {
		if (document.getElementById("primary-links")) {
			menuOver(document.getElementById("primary-links"));
		}
		if (document.getElementById("tertiary-links")) {
			menuOver(document.getElementById("tertiary-links"));
		}
	}
}
// Run only under IE 6 and below.
if(!window.XMLHttpRequest) {
	window.onload=startList;
}
